Reset a blocked delegation credential's secret rotation state
curl --request POST \
--url https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/reset-rotationimport requests
url = "https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/reset-rotation"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/reset-rotation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "clsx1234567890",
"enabled": true,
"domain": "example.com",
"organizationId": 123,
"workspacePlatform": {
"name": "Google",
"slug": "google"
},
"createdAt": "2024-04-01T00:00:00.000Z",
"updatedAt": "2024-04-01T00:00:00.000Z",
"optOutAutoSecretRotation": true,
"secretRotationBlocked": true,
"secret": {
"expiresAt": "2024-10-01T00:00:00.000Z"
},
"pendingSecret": {
"createdAt": "2024-10-01T00:00:00.000Z",
"expiresAt": "2024-10-01T00:00:00.000Z"
},
"secretRotationErrorCode": "missing_permission"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890/reset-rotation",
"error": {
"code": "BadRequestException",
"message": "<string>"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890/reset-rotation",
"error": {
"code": "UnauthorizedException",
"message": "<string>"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890/reset-rotation",
"error": {
"code": "ForbiddenException",
"message": "<string>"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890/reset-rotation",
"error": {
"code": "NotFoundException",
"message": "<string>"
}
}Delegation Credentials
Reset a blocked delegation credential's secret rotation state
Clears the terminal secret-rotation failure state so managed secret rotation resumes normally. Use this after fixing whatever external configuration issues caused rotation to reach a terminal state. Required membership role: org admin. PBAC permission: organization.update. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control
POST
/
v2
/
organizations
/
{orgId}
/
delegation-credentials
/
{credentialId}
/
reset-rotation
Reset a blocked delegation credential's secret rotation state
Headers
For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Path Parameters
The unique identifier of the organization the delegation credential belongs to
Example:
123
The unique identifier of the delegation credential
Example:
"clsx1234567890"
Was this page helpful?